@echo off

rem $Id: Tout_Construire.bat 70 2020-10-03 13:44:55Z gingko $
rem Copyright  2010-2020 gingko - https://www.gingko.ovh/
rem
rem This file is part of the Pouchin TV Mod documentation.
rem See https://www.pouchintv.fr/ for updates.
rem
rem Pouchin TV Mod is free software; you can redistribute it and/or modify
rem it under the terms of the GNU General Public License as published by
rem the Free Software Foundation; either version 2 of the License, or
rem (at your option) any later version.
rem
rem Pouchin TV Mod is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem GNU General Public License for more details.
rem
rem You should have received a copy of the GNU General Public License
rem along with this program; if not, write to the Free Software
rem Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

rem Note : ce fichier doit tre sauvegard en encodage CP437 ou CP850

echo -----------------------
echo Excution de "index_parser.exe"
echo Excution de "index_parser.exe" > PouchinTVMod_out.txt
echo.
echo. >> PouchinTVMod_out.txt
index_parser.exe html\filelist.xml PouchinTVMod >> PouchinTVMod_out.txt
set ERRLEV=%ERRORLEVEL%
type PouchinTVMod_out.txt
echo.
echo. >> PouchinTVMod_out.txt
echo Termin. Code retour = %ERRLEV%
echo Termin. Code retour = %ERRLEV% >> PouchinTVMod_out.txt
echo.
if not $%ERRLEV%==$0 goto fin

echo ----------------------- >> PouchinTVMod_out.txt
echo -----------------------

set PR_=%ProgramFiles%
if not exist "%PR_%\HTML Help Workshop\hhc.exe" set PR_=%ProgramFiles(x86)%
"%PR_%\HTML Help Workshop\hhc.exe" PouchinTVMod.hhp
type PouchinTVMod.log >> PouchinTVMod_out.txt
del PouchinTVMod.log
ren PouchinTVMod_out.txt PouchinTVMod.log

:fin
echo.
echo.
echo Le fichier "PouchinTVMod.log" contient le rapport de gnration
echo.
pause
