/*
 * $Id: stdafx.cpp 298 2011-08-04 16:24:03Z gingko $
 * Copyright (C) 2010 gingko - http://gingko.homeip.net/
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Fichier de gnration des en-ttes prcompils.
 *
 *	Bien que n'ayant pas de contenu en lui-mme, ce fichier est ncessaire  la
 *	gnration du systme d'en-ttes prcompils.
 *	Dans le fichier projet, il doit tre le seul  tre configur de manire  tre
 *	compil avec l'option \p /Yc (Crer un en-tte prcompil).
 *	Tous les autres fichiers faisant usage de cette fonctionnalit doivent tre
 *	configurs pour tre compils avec l'option \p /Yu (Utiliser un en-tte prcompil).
 *	En outre, ils doivent avoir la directive  # include "stdafx.h"  prsente au dbut
 *	de toute la liste d'inclusion.
 *
 *	Le fichier d'en-tte prcompils a l'extension \p .pch.
 **/

#include "stdafx.h"


// Les commentaires qui suivent sont destins  la documentation Doxygen de certains
// fichiers C++ qui ne peuvent pas contenir cette documentation par eux-mmes (par exemple
// parce qu'ils sont gnrs automatiquement, ou bien parce qu'ils sont issus d'un projet
// externe).
// Ils n'ont donc rien  voir avec le fichier courant (mais il tait commode de les placer ici).


/** \file Hyperlinks.h
 *	\brief Insertion d'hyperliens dans les dialogues (dfinitions)
 *
 *	Ce fichier contient les dfinitions de fonctions qui permettent de
 *	tranformer un item statique de dialogue en hyperlien Internet.
 *
 *	Il est driv d'un code disponible gratuitement sur Internet.
 *	\see http://www.codeguru.com/cpp/controls/staticctrl/print.php/c5803
 **/

/** \file Hyperlinks.cpp
 *	\brief Insertion d'hyperliens dans les dialogues (implmentation)
 *
 *	Ce fichier implmente les fonctions qui permettent de
 *	tranformer un item statique de dialogue en hyperlien Internet.
 *
 *	Il est driv d'un code disponible gratuitement sur Internet.
 *	\see http://www.codeguru.com/cpp/controls/staticctrl/print.php/c5803
 **/

/** \file LzmaDec.h
 *	\brief Dfinitions des fonctions du dcompresseur \p LZMA
 *
 *	Fichier contenant les dfinitions de fonctions du dcompresseur \p LZMA, utilis
 *	en particulier pour la mise  jour par Internet.
 *	Il est issu du logiciel libre 7-Zip (http://www.7-zip.org/)
 **/

/** \file LzmaDec.c
 *	\brief Implmentations des fonctions du dcompresseur \p LZMA
 *
 *	Fichier contenant l'implmentation des fonctions du dcompresseur \p LZMA, utilis
 *	en particulier pour la mise  jour par Internet.
 *	Il est issu du logiciel libre 7-Zip (http://www.7-zip.org/)
 **/

/** \file Types.h
 *	\brief Dfinitions gnrales pour la compression \p LZMA
 *
 *	Fichier contenant les dfinitions et structures lis  l'encodage \p LZMA en gnral.
 *	Il est issu du logiciel libre 7-Zip (http://www.7-zip.org/)
 **/
